Package groovy.lang

# Interface PropertyAccessInterceptor

All Superinterfaces:
  `Interceptor`

public interface PropertyAccessInterceptor extends Interceptor

An interface that adds the ability to intercept property getters/setters

Since:
  Oct 24, 2005
Author:
  Graeme Rocher

## Method Summary

Modifier and Type
Method
Description
`Object`
`beforeGet(Object object, String property)`
Intercepts a getXXX call and returns a result.
`void`
`beforeSet(Object object, String property, Object newValue)`
Intercepts a setXXX call

### Methods inherited from interface groovy.lang.Interceptor

`afterInvoke, beforeInvoke, doInvoke`

## Method Details

### beforeGet

Object beforeGet(Object object, String property)
Intercepts a getXXX call and returns a result. The result is replaced by the real value if doGet() return false

Parameters:
  `object` - The target object
  `property` - The property to get
Returns:
  A value supplied by the interceptor

### beforeSet

void beforeSet(Object object, String property, Object newValue)
Intercepts a setXXX call

Parameters:
  `object` - The target object
  `property` - The property to set
  `newValue` - The new value